{: test that string parameter causes a compilation error
   if the actual parameter is not a string}

program e1076( output );

type
   str = packed array[1..10] of char;

var
   s1 : array[1..10] of char;
procedure p(s: str);
begin
end; { p }

begin { e1076 }
   p('1234');
   p(s1); {!!! not a string}
end. { e1076 }

